Bug 447435 - movies from KinoPoisk.ru are not added
Summary: movies from KinoPoisk.ru are not added
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4.2
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-23 17:20 UTC by tetroculti
Modified: 2021-12-31 21:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.3


Attachments
video with a demonstration (3.87 MB, video/mp4)
2021-12-23 17:20 UTC, tetroculti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tetroculti 2021-12-23 17:20:35 UTC
Created attachment 144814 [details]
video with a demonstration

SUMMARY
movies from KinoPoisk.ru are not added. See atachment.

STEPS TO REPRODUCE
1. building a new movie collection;
2. add entry --> internet search;
3. In the search bar enter the name of the movie, choose KinoPoisk.ru as the source;
4. click on the found movie and nothing happens (no information about the movie is loaded)

OBSERVED RESULT
nothing - no information about the movie is loaded

EXPECTED RESULT
downloaded information about the movie and adding it to the collection

SOFTWARE/OS VERSIONS
OS: Manjaro 21.2.0 Qonos
Kernel: x86_64 Linux 5.10.84-1-MANJARO
DE: KDE 5.88.0 / Plasma 5.23.4

ADDITIONAL INFORMATION
from other sources, movies are added.

LOG from terminal:
No JSON data
...trying Linked Data
No JSON data
No discernible entry data
no entry or collection pointer
Comment 1 Robby Stephenson 2021-12-31 21:25:44 UTC
Git commit 0041c5d97b98337f82afd2f46732968dc82b357a by Robby Stephenson.
Committed on 31/12/2021 at 20:14.
Pushed by rstephenson into branch '3.4'.

Update kinopoisk.ru data source
FIXED-IN: 3.4.3

M  +4    -0    ChangeLog
M  +159  -24   src/fetch/kinopoiskfetcher.cpp
M  +4    -1    src/fetch/kinopoiskfetcher.h
M  +8    -8    src/tests/kinopoiskfetchertest.cpp

https://invent.kde.org/office/tellico/commit/0041c5d97b98337f82afd2f46732968dc82b357a